Wan-2.1 LoRA Trainer · T2V
Amalaich
wan-trainer/t2v
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-trainer/t2v?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/wan-trainer/t2v?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/wan-trainer/t2v", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/gd/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "wan-trainer/t2v",
"input": {
"training_data_url": "https://example.com/your-file.zip"
}
}
Cuir fòn chun mhodail Wan-2.1 LoRA Trainer · T2V (wan-trainer/t2v) tro Doitong API. Sgrìobhainnean airson àidseantan: https://doitong.com/gd/developers/models/wan-trainer/t2v.md
POST https://api.doitong.com/v1/run/wan-trainer/t2v?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"training_data_url": "https://example.com/your-file.zip"
}
Ma tha inbhe na freagairt "queued" no "running", dèan poll air GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 gus am bi i "succeeded"; tha na faidhlichean ann an outputs[].url. Bidh POST https://api.doitong.com/v1/quote/wan-trainer/t2v leis an aon bhodhaig a’ tilleadh na prìse cheart ron ruith.
An t-iarrtas seo: $2.00 2,000 creideasan API Ruith e air an duilleig seo
An iuchair API ùr agad. Chan eil e ri fhaicinn ach an-dràsta, agus tha e mar-thà sa chòd agus ann an raon iuchair API gu h-ìosal. Cùm dìomhair e: na cuir ann an còd a ruitheas ann am brabhsair gu bràth.
Air a dhèanamh air Doitong
Obraichean poblach a rinn coimhearsnachd Doitong le Wan-2.1 LoRA Trainer. Ath-chleachd prompt ann an aon bhriogadh.
Bhidio
Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video must feel like a real spontaneous phone...
Bhidio
**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video...
Bhidio
Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with natural acting, realistic lighting and believable facial expressions. All dialogue is spoken naturally in French. **SCENE 1 — EXPENSIVE RESTAURANT, EVENING — 0–5 sec** A young man in his late 20s is...
Bhidio
Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...
Tog iarrtas
Tha na smachdan air an cruthachadh bho sgeama a’ mhodail. Bidh an còd agus a’ phrìs ag ùrachadh fhad ’s a dh’atharraicheas tu iad.
/run/wan-trainer/t2v?wait=20
tuairmse → $2.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-trainer/t2v?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/wan-trainer/t2v?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/wan-trainer/t2v", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "wan-trainer/t2v",
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"wait_seconds": 20
}
}
}
Ruith an t-iarrtas seo
Fuirichidh an iuchair agad sa bhrobhsair seo: thèid a cur chun Doitong API a-mhàin agus a sàbhaladh (localStorage) a-mhàin ma chuireas tu comharra ri Cuimhnich. Faigh iuchair API
Mu Wan-2.1 LoRA Trainer · T2V
Trèanadh LoRA airson Wan 2.1 teacsa-gu-bhidio 1.3B bho thasglann zip aig `training_data_url`, a dh’fhaodas caipseanan a ghabhail a-steach mar fhaidhlichean teacsa. Suidhich `number_of_steps` eadar 100 agus 20000 agus gleus `learning_rate`. Tha `trigger_phrase` roghainneil, agus tionndaidh `auto_scale_input` bhidio gu 81 frèam aig 16fps. Tillidh e cuideaman LoRA agus faidhle config.
Paramadairean
training_data_urlriatanach
number_of_stepsroghainneil
learning_rateroghainneil
trigger_phraseroghainneil
auto_scale_inputroghainneil
Toradh
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "wan-trainer/t2v",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 2000,
"usd": "2.00",
"charged": 2000,
"refunded": 0
},
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"output": {
"lora_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"config_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Raointean toraidh
- lora_file
- object {url, content_type, file_name, file_size}URL a’ comharrachadh cuideaman LoRA a chaidh a chruthachadh le trèanaidh.
- config_file
- object {url, content_type, file_name, file_size}Rèiteachadh airson puingean-crìche co-dhùnaidh a thòiseachadh.
Seòrsaichean eile de Wan-2.1 LoRA Trainer
Barrachd mhodalan: Trèanadh
Do riochdairean AI: tha an duilleag seo mar Markdown aig https://doitong.com/gd/developers/models/wan-trainer/t2v.md. Na modailean agus na treòraichean uile: https://doitong.com/developers/llms.txt